Users

Update username

PATCH
/users/me

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Request Body

application/json
  1. body
username?string
Match^[A-Za-z0-9][A-Za-z0-9._-]{1,28}[A-Za-z0-9]$
Length3 <= length <= 30
confirmAvatar?true
Value intrue
removeAvatar?true
Value intrue

Response Body

200

application/json
  1. response
id*string
username*string
avatarUrl*string
externalId*string
isLocationBlocked*boolean
accounts*array<>
wallets*array<>
venueAccounts*array<>
otherIdentities?array<>
Example Request
curl -X PATCH 'https://api.t.sufwankhalid.com/users/me' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "username": "string",  "avatarUrl": "string",  "externalId": "string",  "isLocationBlocked": true,  "accounts": [    {      "type": "oauth",      "provider": "wallet",      "providerAccountId": "string"    }  ],  "wallets": [    {      "chain": "evm",      "address": "string"    }  ],  "venueAccounts": [    {      "id": "string",      "venue": "kalshi",      "status": "string",      "kycStatus": "string"    }  ],  "otherIdentities": [    {      "provider": "email"    }  ]}